<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class model.Player</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class model.Player";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Player.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class model.Player" class="title">Uses of Class<br>model.Player</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#model">model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="controler">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Player.html" title="class in model">Player</a> in <a href="../../controler/package-summary.html">controler</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> that return <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Player.html" title="class in model">Player</a></code></td>
<td class="colLast"><span class="strong">Game.</span><code><strong><a href="../../controler/Game.html#getActualPlayer()">getActualPlayer</a></strong>()</code>
<div class="block">Gets the actual player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../model/Player.html" title="class in model">Player</a>[]</code></td>
<td class="colLast"><span class="strong">Game.</span><code><strong><a href="../../controler/Game.html#getPlayers()">getPlayers</a></strong>()</code>
<div class="block">Gets the players of this game.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="strong">Game.</span><code><strong><a href="../../controler/Game.html#isActualPlayer(model.Player)">isActualPlayer</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Checks if the player in param is the actual player.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/PlayerButtonListener.html#PlayerButtonListener(model.Player,%20view.PlayerZone,%20controler.Game)">PlayerButtonListener</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
                    <a href="../../view/PlayerZone.html" title="class in view">PlayerZone</a>&nbsp;pz,
                    <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;g)</code>
<div class="block">Instantiates a new player button listener.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="model">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Player.html" title="class in model">Player</a> in <a href="../../model/package-summary.html">model</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../model/Player.html" title="class in model">Player</a> in <a href="../../model/package-summary.html">model</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../model/IA.html" title="class in model">IA</a></strong></code>
<div class="block">The Class IA.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../model/PlayerOnline.html" title="class in model">PlayerOnline</a></strong></code>
<div class="block">The Class PlayerOnline is used for the onlineGmae, it have the particularity to have a Id.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> that return <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Player.html" title="class in model">Player</a></code></td>
<td class="colLast"><span class="strong">Piece.</span><code><strong><a href="../../model/Piece.html#getPlayer()">getPlayer</a></strong>()</code>
<div class="block">Get the player of the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../model/Player.html" title="class in model">Player</a>[]</code></td>
<td class="colLast"><span class="strong">GameRule.</span><code><strong><a href="../../model/GameRule.html#getPlayers()">getPlayers</a></strong>()</code>
<div class="block">Gets the players.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Player.html" title="class in model">Player</a>[]</code></td>
<td class="colLast"><span class="strong">GameRule.</span><code><strong><a href="../../model/GameRule.html#getScoreTab()">getScoreTab</a></strong>()</code>
<div class="block">Gets the score tab.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getNextPiece(model.Player,%20int,%20model.GameRule)">getNextPiece</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
            int&nbsp;level,
            <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the next piece to place for an IA.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#isNextRound(model.Player)">isNextRound</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Checks if the next round will be possible to play.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Piece.</span><code><strong><a href="../../model/Piece.html#setPlayer(model.Player)">setPlayer</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Set the player of the piece.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../model/GameRule.html#GameRule(model.Player[])">GameRule</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>[]&nbsp;players)</code>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../model/GameRule.html#GameRule(model.Player[],%20boolean)">GameRule</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>[]&nbsp;playersView,
        boolean&nbsp;passerTour)</code>
<div class="block">Instantiates a new game rule.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../model/Piece.html#Piece(int,%20model.Pattern,%20model.Player)">Piece</a></strong>(int&nbsp;numPattern,
     <a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
     <a href="../../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Instantiates a new piece.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Player.html" title="class in model">Player</a> in <a href="../../view/package-summary.html">view</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> that return <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Player.html" title="class in model">Player</a></code></td>
<td class="colLast"><span class="strong">PlayerZone.</span><code><strong><a href="../../view/PlayerZone.html#getPlayer()">getPlayer</a></strong>()</code>
<div class="block">Gets the player.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">PlayerZone.</span><code><strong><a href="../../view/PlayerZone.html#setPlayer(model.Player)">setPlayer</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Set the player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">PlayerBar.</span><code><strong><a href="../../view/PlayerBar.html#setPlayer(model.Player)">setPlayer</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Set the player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">PlayerZone.</span><code><strong><a href="../../view/PlayerZone.html#synchro(model.Player)">synchro</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Actualize the playerBar and playerPieces with a new player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">PlayerPieces.</span><code><strong><a href="../../view/PlayerPieces.html#synchro(model.Player)">synchro</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Set the player in paramters on all of PlayerPiece and use the methode use on all of PlayerPiece used.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../model/Player.html" title="class in model">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/PlayerBar.html#PlayerBar(model.Player)">PlayerBar</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Instantiates a new player bar.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/PlayerPieces.html#PlayerPieces(model.Player,%20view.PlayerZone)">PlayerPieces</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
            <a href="../../view/PlayerZone.html" title="class in view">PlayerZone</a>&nbsp;playerZone)</code>
<div class="block">Instantiates a new playerPieces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/PlayerZone.html#PlayerZone(model.Player,%20controler.Game,%20view.Blokus)">PlayerZone</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
          <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
          <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new player zone.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Player.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
